net.sf.jasperreports.engine.export.ooxml

## Class XlsxFontInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.XlsxFontInfo

-     public class XlsxFontInfo
      extends java.lang.Object

  Version:
    $Id: XlsxFontInfo.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `color`
    `protected java.lang.String` | `fontName`
    `protected float` | `fontSize`
    `protected boolean` | `isBold`
    `protected boolean` | `isItalic`
    `protected boolean` | `isStrikeThrough`
    `protected boolean` | `isUnderline`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxFontInfo(JRExporterGridCell gridCell, java.lang.String fontName, boolean isFontSizeFixEnabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontName

          protected java.lang.String fontName

    - #### fontSize

          protected float fontSize

    - #### isBold

          protected boolean isBold

    - #### isItalic

          protected boolean isItalic

    - #### isUnderline

          protected boolean isUnderline

    - #### isStrikeThrough

          protected boolean isStrikeThrough

    - #### color

          protected java.lang.String color

  - ### Constructor Detail

    - #### XlsxFontInfo

          public XlsxFontInfo(JRExporterGridCell gridCell,
                      java.lang.String fontName,
                      boolean isFontSizeFixEnabled)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com